"""
Class for holding Realfast Metadata
"""
class RealFastMetadata():
    def __init__(self, json_metadata):
        self._json_metadata = json_metadata

    def get_transient_dm(self):
        return self._json_metadata.transient_DM

    def get_portal_candidate_ids(self):
        return self._json_metadata.portal_candidate_IDs

    def get_transient_ra(self):
        return self._json_metadata.transient_RA

    def get_transient_ra_error(self):
        return self._json_metadata.transient_RA_error

    def get_transient_dec(self):
        return self._json_metadata.transient_Dec

    def get_transient_dec_error(self):
        return self._json_metadata.transient_Dec_error

    def get_transient_snr(self):
        return self._json_metadata.transient_SNR

    def get_transient_dm(self):
        return self._json_metadata.transient_DM

    def get_transient_dm_error(self):
        return self._json_metadata.transient_DM_error

    def get_preaverage_time(self):
        return self._json_metadata.preaverage_time

    def get_rfpipe_version(self):
        return self._json_metadata.rfpipe_version

    def get_prefs_id(self):
        return self._json_metadata.prefs_Id

    def get_rf_qa_label(self):
        return self._json_metadata.rf_QA_label

    def get_rf_qa_zero_fraction(self):
        return self._json_metadata.rf_QA_zero_fraction

    def get_rf_qa_visibility_noise(self):
        return self._json_metadata.rf_QA_visibility_noise

    def get_rf_qa_image_noise(self):
        return self._json_metadata.rf_QA_image_noise


